> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List trips for a business

> **Scopes:** `trip:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/trips
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/trips:
    get:
      tags:
        - Mileage
      summary: List trips for a business
      description: '**Scopes:** `trip:read`'
      operationId: list_trips_v0_business__business_id__trips_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: vehicle_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: vhc_string
              - type: 'null'
            description: Filter trips by vehicle
            title: Vehicle Id
          description: Filter trips by vehicle
        - name: external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter trips by exact external ID
            title: External Id
          description: Filter trips by exact external ID
        - name: trip_date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Include trips with trip_date on or after this date (inclusive)
            title: Trip Date From
          description: Include trips with trip_date on or after this date (inclusive)
        - name: trip_date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Include trips with trip_date on or before this date (inclusive)
            title: Trip Date To
          description: Include trips with trip_date on or before this date (inclusive)
        - name: purpose
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TripPurpose'
              - type: 'null'
            description: Filter trips by purpose (business or personal)
            title: Purpose
          description: Filter trips by purpose (business or personal)
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TripsPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - trip:read
components:
  schemas:
    TripPurpose:
      type: string
      enum:
        - business
        - personal
      title: TripPurpose
    TripsPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TripPublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: TripsPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TripPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the Business that owns the trip
          examples:
            - biz_GA6EG2qFxA97NZHtxeLPUy
        vehicle_id:
          type: string
          format: vhc_string
          title: Vehicle Id
          description: The id of the Vehicle used for the trip
          examples:
            - vhc_GA6EG2qFxA97NZHtxeLPUy
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: The external ID of the Trip
          examples:
            - '1234567890'
        trip_date:
          type: string
          format: date
          title: Trip Date
          description: The date the trip occurred
          examples:
            - '2026-04-22'
        distance:
          type: number
          title: Distance
          description: The distance travelled, in units defined by distance_unit
          examples:
            - 42.5
        distance_unit:
          $ref: '#/components/schemas/DistanceUnit'
          description: The unit of measurement for distance
          examples:
            - miles
        start_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Address
          description: Where the trip started (unstructured)
          examples:
            - 123 Main St, San Francisco, CA
        end_address:
          anyOf:
            - type: string
            - type: 'null'
          title: End Address
          description: Where the trip ended (unstructured)
          examples:
            - 456 Market St, San Francisco, CA
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
          description: Free-form notes about the trip from the user
          examples:
            - Client lunch meeting
        purpose:
          anyOf:
            - $ref: '#/components/schemas/TripPurpose'
            - type: 'null'
          description: Whether the trip was for business or personal use
          examples:
            - personal
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
          description: >-
            Computed mileage deduction amount in dollars (null for personal
            trips)
          examples:
            - 7.25
        amount_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Amount Reason
          description: The reason for the computed amount
          examples:
            - Standard rate applied
        id:
          type: string
          format: trp_string
          title: Id
          description: The id of the Trip
          examples:
            - trp_GA6EG2qFxA97NZHtxeLPUy
      type: object
      required:
        - business_id
        - vehicle_id
        - trip_date
        - distance
        - distance_unit
        - start_address
        - end_address
        - id
      title: TripPublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    DistanceUnit:
      type: string
      enum:
        - miles
        - kilometers
      title: DistanceUnit
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````